/*  $Id: XML.java 1329 2012-08-25 08:33:05Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2009 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.xml;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import net.eduvax.util.App;
import net.eduvax.util.Logger;
import net.eduvax.util.SLogger;
/**
 * @version $Id: XML.java 1329 2012-08-25 08:33:05Z sdevaux $
 * @author Sebastien Devaux	
 */
public class XML {
	public static void init() {
		App.get().setSingleton(new XML());
	}
	public static XML get() {
		return (XML)App.get().getSingleton(XML.class);
	}
	public SLogger log() {
		return _logger;
	}
	private XML() {
		App.get().logPackageInfo(XML.class);
		_logger=Logger.getSLogger(getClass().getName());
	}
	private SLogger _logger;

	private static SimpleDateFormat xmlDateTimeZFormat;
	private static SimpleDateFormat xmlDateTimeFormat;
	private static SimpleDateFormat xmlDateFormat;
	static {
		xmlDateTimeZFormat=new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ssZ");
		xmlDateTimeZFormat.setLenient(true);
		xmlDateTimeFormat=new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
		xmlDateTimeFormat.setLenient(true);
		xmlDateFormat=new SimpleDateFormat("yyyy-MM-dd");
		xmlDateFormat.setLenient(true);
	}
	/**
 	 * Retrive and convert String attribute to Date.
	 * @return String as Date instance if convertible, null if not.
	 */
	public static Date getDate(String dateStr) {
		Date res=null;
		try {
			if (dateStr!=null) {
				res=xmlDateFormat.parse(dateStr);
				res=xmlDateTimeFormat.parse(dateStr);
				res=xmlDateTimeZFormat.parse(dateStr);
			}	
		} catch (ParseException e) {
		}
		return res;
	}
}
